<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msa="http://www.publictalksoftware.co.uk/msa" xmlns="http://www.w3.org/1999/xhtml">
  <xsl:output method="html" indent="yes" version="4.01"
    doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
    doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>

  <xsl:variable name="DutyHistory" select="document('DutyAssignHistory.XML')"/>

  <xsl:template match="/">
    <html xmlns="http://www.w3.org/1999/xhtml">
      <xsl:attribute name="lang">
        <xsl:value-of select="//Settings//LanguageCode"/>
      </xsl:attribute>
      <xsl:attribute name="dir">
        <xsl:value-of select="//Settings/Direction"/>
      </xsl:attribute>
      <head>
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
        <link rel="stylesheet" type="text/css" href="Workbook-S-140-Compact.css"/>
        <title>
          <xsl:value-of select="//Labels/Congregation"/>&#160;<xsl:value-of select="//Labels/Title" />
        </title>
      </head>
      <body>
        <xsl:for-each select="//NamesToHighlight/Name">
          <xsl:variable name="NameToHighlight" select="."/>
          <div class="containerPage">
            <table cellpadding="0" cellspacing="0">
              <xsl:call-template name="SetColumnWidths"/>
              <!--Insert row of Meeting / Special Event Dates-->
              <tr>
                <xsl:call-template name="EmptyLabelCell"/>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/MeetingDate"/>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">Our Christian Life and Ministry</xsl:with-param>
                <xsl:with-param name="strClass">cellHEADING</xsl:with-param>
              </xsl:call-template>
              <!--Insert row of assigned Chairman (or the Special Event description)-->
              <tr>
                <td class="cellLabel">Chairman</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/Chairman" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/Chairman" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/Chairman" mode="FirstRow_Pray">
                  <xsl:with-param name="strClass">cellBold borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/Chairman" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/Chairman" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/Chairman" mode="FirstRow_Pray">
                      <xsl:with-param name="strClass">cellBold borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Insert row of assigned Prayer(or the Special Event description)-->
              <tr>
                <td class="cellLabel">Prayer</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PrayerOpen" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PrayerOpen" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PrayerOpen" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PrayerOpen" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PrayerOpen" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PrayerOpen" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">> Treasures From God's Word</xsl:with-param>
                <xsl:with-param name="strClass">cellTFGW</xsl:with-param>
              </xsl:call-template>
              <!--Treasures 1-->
              <tr>
                <td class="cellLabel">Talk</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/TFGW/TFGWItem[1]/Name" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Treasures 2-->
              <tr>
                <td class="cellLabel">Digging</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                  <xsl:with-param name="strClass">cellBold borderRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                      <xsl:with-param name="strClass">cellBold borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                      <xsl:with-param name="strClass">cellBold borderLeftRightTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/TFGW/TFGWItem[2]/Name" mode="OtherRow">
                      <xsl:with-param name="strClass">cellBold borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Bible Reading-->
              <tr>
                <td class="cellLabel">B. Reading</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/TFGW/BibleReadingItem/Readers/Reader[@Class='1']" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">> Apply Yourself To The Field Ministry</xsl:with-param>
                <xsl:with-param name="strClass">cellAYFM</xsl:with-param>
              </xsl:call-template>
              <!--Student Item 1-->
              <tr>
                <td class="cellLabel">Item 1</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/Teaching/Name" mode="FirstRow">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="FirstRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="FirstRow">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="FirstRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="FirstRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="FirstRow">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="FirstRow">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="FirstRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Student Item 2-->
              <tr>
                <td class="cellLabel">Item 2</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[1]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[1]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[2]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[2]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[2]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[2]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[2]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[2]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[2]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[2]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[2]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[2]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Student Item 3-->
              <tr>
                <td class="cellLabel">Item 3</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:if test="count(//MeetingWorkBook/Meeting[1]/AYFM/StudentItem) = 1">
                  <td class="borderRightTopBottom">
                    <xsl:text> </xsl:text>
                  </td>
                </xsl:if>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRightTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[3]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[3]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftTopBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Student Item 4-->
              <tr>
                <td class="cellLabel">Item 4</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:if test="count(//MeetingWorkBook/Meeting[1]/AYFM/StudentItem) = 1">
                  <td class="borderRight">
                    <xsl:text> </xsl:text>
                  </td>
                </xsl:if>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[4]/Students[@ChairmanHandleSampleVideo and @Class='1']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/AYFM/StudentItem[4]/Students[@Class='1']/Student" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">> Living As Christians</xsl:with-param>
                <xsl:with-param name="strClass">cellLAC</xsl:with-param>
              </xsl:call-template>
              <!--Living 1 Theme-->
              <tr>
                <td class="cellLabel" rowspan="2">1. Point</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/LACItem[1]/Theme">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/LACItem[1]/Theme">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/LACItem[1]/Theme">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[1]/Theme">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[1]/Theme">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/LACItem[1]/Theme">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Living 1 Time and Name-->
              <tr>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/LACItem[1]">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/LACItem[1]">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/LACItem[1]">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[1]">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[1]">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/LACItem[1]">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Living 2 Theme-->
              <xsl:if test="count(//MeetingWorkBook/Meeting[1]/LAC/LACItem) = 2 or 
				          count(//MeetingWorkBook/Meeting[2]/LAC/LACItem) = 2 or 
				          count(//MeetingWorkBook/Meeting[3]/LAC/LACItem) = 2 or 
				          count(//MeetingWorkBook/Meeting[4]/LAC/LACItem) = 2 or 
				          count(//MeetingWorkBook/Meeting[5]/LAC/LACItem) = 2">
                <tr>
                  <td class="cellLabel" rowspan="2">2. Point</td>
                  <!--The templates will only be applied if the specified nodes exist in the XML document.
                      So there is no need to use multiple IF checks.-->
                  <xsl:choose>
                    <xsl:when test="count(//MeetingWorkBook/Meeting[1]/LAC/LACItem) = 2">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/LACItem[2]/Theme">
                        <xsl:with-param name="strClass">borderRight</xsl:with-param>
                      </xsl:apply-templates>
                    </xsl:when>
                    <xsl:when test="//MeetingWorkBook/Meeting[1]/@SpecialEvent=0">
                      <td rowspan="2" class="borderRightBottom">
                        <xsl:text> </xsl:text>
                      </td>
                    </xsl:when>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="count(//MeetingWorkBook/Meeting[2]/LAC/LACItem) = 2">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/LACItem[2]/Theme">
                        <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      </xsl:apply-templates>
                    </xsl:when>
                    <xsl:when test="//MeetingWorkBook/Meeting[2]/@SpecialEvent=0">
                      <td rowspan="2" class="borderLeftRightBottom">
                        <xsl:text> </xsl:text>
                      </td>
                    </xsl:when>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="count(//MeetingWorkBook/Meeting[3]/LAC/LACItem) = 2">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/LACItem[2]/Theme">
                        <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      </xsl:apply-templates>
                    </xsl:when>
                    <xsl:when test="//MeetingWorkBook/Meeting[3]/@SpecialEvent=0">
                      <td rowspan="2" class="borderLeftRightBottom">
                        <xsl:text> </xsl:text>
                      </td>
                    </xsl:when>
                  </xsl:choose>
                  <xsl:choose>
                    <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                      <xsl:choose>
                        <xsl:when test="count(//MeetingWorkBook/Meeting[4]/LAC/LACItem) = 2">
                          <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[2]/Theme">
                            <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                          </xsl:apply-templates>
                        </xsl:when>
                        <xsl:when test="//MeetingWorkBook/Meeting[4]/@SpecialEvent=0">
                          <td rowspan="2" class="borderLeftBottom">
                            <xsl:text> </xsl:text>
                          </td>
                        </xsl:when>
                      </xsl:choose>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:choose>
                        <xsl:when test="count(//MeetingWorkBook/Meeting[4]/LAC/LACItem) = 2">
                          <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[2]/Theme">
                            <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                          </xsl:apply-templates>
                        </xsl:when>
                        <xsl:when test="//MeetingWorkBook/Meeting[4]/@SpecialEvent=0">
                          <td rowspan="2" class="borderLeftRightBottom">
                            <xsl:text> </xsl:text>
                          </td>
                        </xsl:when>
                      </xsl:choose>
                      <xsl:choose>
                        <xsl:when test="count(//MeetingWorkBook/Meeting[5]/LAC/LACItem) = 2">
                          <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/LACItem[2]/Theme">
                            <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                          </xsl:apply-templates>
                        </xsl:when>
                        <xsl:when test="//MeetingWorkBook/Meeting[5]/@SpecialEvent=0">
                          <td rowspan="2" class="borderLeftBottom">
                            <xsl:text> </xsl:text>
                          </td>
                        </xsl:when>
                      </xsl:choose>
                    </xsl:otherwise>
                  </xsl:choose>
                </tr>
                <!--Living 2 Time and Name-->
                <tr>
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/LACItem[2]">
                    <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  </xsl:apply-templates>
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/LACItem[2]">
                    <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  </xsl:apply-templates>
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/LACItem[2]">
                    <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  </xsl:apply-templates>
                  <xsl:choose>
                    <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[2]">
                        <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                    </xsl:when>
                    <xsl:otherwise>
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/LACItem[2]">
                        <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/LACItem[2]">
                        <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                    </xsl:otherwise>
                  </xsl:choose>
                </tr>
              </xsl:if>
              <!--Heading-->
              <xsl:call-template name="TopRowGap"/>
              <tr>
                <xsl:call-template name="EmptyLabelCell"/>
                <td colspan="4" class="cellCBS">
                  <xsl:if test="count(//MeetingWorkBook/Meeting) = 5">
                    <xsl:attribute name="colspan">5</xsl:attribute>
                  </xsl:if>
                  <xsl:value-of select="//Labels/CBS"/>
                </td>
              </tr>
              <xsl:call-template name="TopRowGap"/>
              <!--Conductor-->
              <tr>
                <td class="cellLabel">Conductor</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
                    So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="CBS">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/CircuitVisit" mode="CBS">
                  <xsl:with-param name="strClass">cellCircuitVisit borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/CircuitVisit" mode="CBS">
                  <xsl:with-param name="strClass">cellCircuitVisit borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/CircuitVisit" mode="CBS">
                  <xsl:with-param name="strClass">cellCircuitVisit borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="CBS">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CircuitVisit" mode="CBS">
                      <xsl:with-param name="strClass">cellCircuitVisit borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="CBS">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CircuitVisit" mode="CBS">
                      <xsl:with-param name="strClass">cellCircuitVisit borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="CBS">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/CircuitVisit" mode="CBS">
                      <xsl:with-param name="strClass">cellCircuitVisit borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/CongregationBibleStudy/Conductor" mode="CBS">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Reader-->
              <tr>
                <td class="cellLabel">Reader</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/CongregationBibleStudy/Reader" mode="CBS">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Insert row of assigned Prayer(or the Special Event description)-->
              <xsl:call-template name="TopRowGap"/>
              <tr>
                <td class="cellLabel">Prayer</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/LAC/PrayerEnd" mode="OtherRow">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/LAC/PrayerEnd" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/LAC/PrayerEnd" mode="OtherRow">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/PrayerEnd" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/LAC/PrayerEnd" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/LAC/PrayerEnd" mode="OtherRow">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
            </table>
            <hr/>
            <table cellpadding="0" cellspacing="0">
              <xsl:call-template name="SetColumnWidths"/>
              <!--Public Talk Date-->
              <tr>
                <xsl:call-template name="EmptyLabelCell"/>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
                    So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/MeetingDate"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Date"/>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/MeetingDate"/>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">Public Talk</xsl:with-param>
                <xsl:with-param name="strClass">cellWEEKEND</xsl:with-param>
              </xsl:call-template>
              <!--Theme-->
              <tr>
                <td class="cellLabel">Theme</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
                    So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="Weekend">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/HomeTalk/Theme" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Speaker-->
              <tr>
                <td class="cellLabel">Speaker</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
              So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/HomeTalk/Speaker" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Chairman-->
              <tr>
                <td class="cellLabel">Chairman</td>
                <!--The templates will only be applied if the specified nodes exist in the XML document.
                    So there is no need to use multiple IF checks.-->
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/Assignments/Chairman" mode="Weekend">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Heading-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">Watchtower Study</xsl:with-param>
                <xsl:with-param name="strClass">cellWEEKEND</xsl:with-param>
              </xsl:call-template>
              <!--Theme-->
              <tr>
                <td class="cellLabel">Theme</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/Assignments/WatchtowerStudy/Theme" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Conductor-->
              <tr>
                <td class="cellLabel">Conductor</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/Assignments/Conductor" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Reader-->
              <tr>
                <td class="cellLabel">Reader</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold cellCircuitVisit borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:if test ="//MeetingWorkBook/Meeting[1]/LAC/@CircuitVisit='0'">
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                    <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  </xsl:apply-templates>
                </xsl:if>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold cellCircuitVisit borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:if test ="//MeetingWorkBook/Meeting[2]/LAC/@CircuitVisit='0'">
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                    <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                </xsl:if>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                  <xsl:with-param name="strClass">cellBold cellCircuitVisit borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:if test ="//MeetingWorkBook/Meeting[3]/LAC/@CircuitVisit='0'">
                  <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                    <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                    <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  </xsl:apply-templates>
                </xsl:if>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold cellCircuitVisit borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:if test ="//MeetingWorkBook/Meeting[4]/LAC/@CircuitVisit='0'">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                        <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                    </xsl:if>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold cellCircuitVisit borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:if test ="//MeetingWorkBook/Meeting[4]/LAC/@CircuitVisit='0'">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                        <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                    </xsl:if>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/Assignments/ServiceTalk" mode="WatchtowerStudy">
                      <xsl:with-param name="strClass">cellBold cellCircuitVisit borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:if test ="//MeetingWorkBook/Meeting[5]/LAC/@CircuitVisit='0'">
                      <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/PUBLICTALK/Assignments/Reader" mode="WatchtowerStudy">
                        <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                        <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      </xsl:apply-templates>
                    </xsl:if>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Assignments-->
              <xsl:call-template name="Heading">
                <xsl:with-param name="strTitle">Assignments</xsl:with-param>
                <xsl:with-param name="strClass">cellOtherHeading</xsl:with-param>
              </xsl:call-template>
              <xsl:variable name="Week1" select="//MeetingWorkBook/Meeting[1]/Date/@ThisWeek"/>
              <xsl:variable name="Week2" select="//MeetingWorkBook/Meeting[2]/Date/@ThisWeek"/>
              <xsl:variable name="Week3" select="//MeetingWorkBook/Meeting[3]/Date/@ThisWeek"/>
              <xsl:variable name="Week4" select="//MeetingWorkBook/Meeting[4]/Date/@ThisWeek"/>
              <xsl:variable name="Week5" select="//MeetingWorkBook/Meeting[5]/Date/@ThisWeek"/>

              <xsl:variable name="Weekend-Assignments1"
                                 select="$DutyHistory/msa:DutyAssignmentHistory/msa:DutyAssignments
                          /msa:DutyAssignmentEntry[@Week=$Week1 and @Mode='Weekend']/msa:Assignment"/>
              <xsl:variable name="Weekend-Assignments2"
                             select="$DutyHistory/msa:DutyAssignmentHistory/msa:DutyAssignments
                          /msa:DutyAssignmentEntry[@Week=$Week2 and @Mode='Weekend']/msa:Assignment"/>
              <xsl:variable name="Weekend-Assignments3"
                             select="$DutyHistory/msa:DutyAssignmentHistory/msa:DutyAssignments
                          /msa:DutyAssignmentEntry[@Week=$Week3 and @Mode='Weekend']/msa:Assignment"/>
              <xsl:variable name="Weekend-Assignments4"
                             select="$DutyHistory/msa:DutyAssignmentHistory/msa:DutyAssignments
                          /msa:DutyAssignmentEntry[@Week=$Week4 and @Mode='Weekend']/msa:Assignment"/>
              <xsl:variable name="Weekend-Assignments5"
                             select="$DutyHistory/msa:DutyAssignmentHistory/msa:DutyAssignments
                          /msa:DutyAssignmentEntry[@Week=$Week5 and @Mode='Weekend']/msa:Assignment"/>
              <!--Sound-->
              <tr>
                <td class="cellLabel">Sound</td>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[1]/SpecialEvent/Event" mode="Assignment">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments1[@Index='1' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[2]/SpecialEvent/Event" mode="Assignment">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments2[@Index='1' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="//MeetingWorkBook/Meeting[3]/SpecialEvent/Event" mode="Assignment">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments3[@Index='1' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="Assignment">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='1' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[4]/SpecialEvent/Event" mode="Assignment">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='1' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="//MeetingWorkBook/Meeting[5]/SpecialEvent/Event" mode="Assignment">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments5[@Index='1' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Platform-->
              <tr>
                <td class="cellLabel">Platform</td>
                <xsl:apply-templates select="$Weekend-Assignments1[@Index='5' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments2[@Index='5' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments3[@Index='5' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='5' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='5' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftRightBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments5[@Index='5' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftBottom</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Microphone-->
              <tr>
                <td class="cellLabel">Mike</td>
                <xsl:apply-templates select="$Weekend-Assignments1[@Index='7' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments2[@Index='7' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments3[@Index='7' and @IndexType='Fixed']">
                  <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='7' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='7' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments5[@Index='7' and @IndexType='Fixed']">
                      <xsl:with-param name="strClass">borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
              <!--Cleaning-->
              <xsl:call-template name="BottomRowGap"/>
              <tr>
                <td class="cellLabel">Cleaning</td>
                <xsl:apply-templates select="$Weekend-Assignments1[@Index='0' and @IndexType='Custom']">
                  <xsl:with-param name="strClass">cellBold borderRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments2[@Index='0' and @IndexType='Custom']">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                </xsl:apply-templates>
                <xsl:apply-templates select="$Weekend-Assignments3[@Index='0' and @IndexType='Custom']">
                  <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                  <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                  <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                </xsl:apply-templates>
                <xsl:choose>
                  <xsl:when test="count(//MeetingWorkBook/Meeting) = 4">
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='0' and @IndexType='Custom']">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:apply-templates select="$Weekend-Assignments4[@Index='0' and @IndexType='Custom']">
                      <xsl:with-param name="strClass">cellBold borderLeftRight</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                    </xsl:apply-templates>
                    <xsl:apply-templates select="$Weekend-Assignments5[@Index='0' and @IndexType='Custom']">
                      <xsl:with-param name="strClass">cellBold borderLeft</xsl:with-param>
                      <xsl:with-param name="NameToHighlight" select="$NameToHighlight"/>
                      <xsl:with-param name="strExtraText">field service group</xsl:with-param>
                    </xsl:apply-templates>
                  </xsl:otherwise>
                </xsl:choose>
              </tr>
            </table>
            <xsl:if test="not(position() = last())" >
              <br style="page-break-before: always;"/>
            </xsl:if>
          </div>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>

  <!--Set column widths-->
  <xsl:template name="SetColumnWidths">
    <xsl:choose>
      <xsl:when test="count(//MeetingWorkBook/Meeting) = 5">
        <colgroup>
          <col style="width:7%"/>
          <col style="width:17%"/>
          <col style="width:17%"/>
          <col style="width:17%"/>
          <col style="width:17%"/>
          <col style="width:17%"/>
        </colgroup>
      </xsl:when>
      <xsl:otherwise>
        <colgroup>
          <col style="width:10%"/>
          <col style="width:22%"/>
          <col style="width:22%"/>
          <col style="width:22%"/>
          <col style="width:22%"/>
        </colgroup>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!--Insert a 5 mm merged row-->
  <xsl:template name="BottomRowGap">
    <tr class="rowGap">
      <td colspan="5">
        <xsl:if test="count(//MeetingWorkBook/Meeting) = 5">
          <xsl:attribute name="colspan">6</xsl:attribute>
        </xsl:if>
        <div class="rowGapContainer">
          <xsl:text> </xsl:text>
        </div>
      </td>
    </tr>
  </xsl:template>

  <!--Insert a 3 mm merged row-->
  <xsl:template name="TopRowGap">
    <tr class="rowGap">
      <td colspan="5">
        <xsl:if test="count(//MeetingWorkBook/Meeting) = 5">
          <xsl:attribute name="colspan">6</xsl:attribute>
        </xsl:if>
        <div class="rowGapContainerSmall">
          <xsl:text> </xsl:text>
        </div>
      </td>
    </tr>
  </xsl:template>

  <!--Inserts the date-->
  <xsl:template match="Date | MeetingDate">
    <td class="cellDate">
      <xsl:value-of select="@MonthFull" />
      <xsl:text> </xsl:text>
      <xsl:value-of  select="@Day" />
      <xsl:text>.</xsl:text>
    </td>
  </xsl:template>

  <!--Inserts a empty label cell-->
  <xsl:template name="EmptyLabelCell">
    <td class="cellLabel">
      <xsl:text> </xsl:text>
    </td>
  </xsl:template>

  <!--Inserts the specified heading using the stated CSS class-->
  <xsl:template name="Heading">
    <xsl:param name="strTitle"/>
    <xsl:param name="strClass"/>
    <xsl:call-template name="BottomRowGap"/>
    <tr>
      <xsl:call-template name="EmptyLabelCell"/>
      <td colspan="4" class="{$strClass}">
        <xsl:if test="count(//MeetingWorkBook/Meeting) = 5">
          <xsl:attribute name="colspan">5</xsl:attribute>
        </xsl:if>
        <xsl:value-of select="$strTitle"/>
      </td>
    </tr>
    <xsl:call-template name="TopRowGap"/>
  </xsl:template>

  <!--This is used to insert the Chairman, or Special Event-->
  <xsl:template match="Chairman | Event" mode="FirstRow_Pray">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:if test="self::Event">
        <xsl:attribute name="rowspan">2</xsl:attribute>
      </xsl:if>
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the Opening Prayer or Ending Prayer-->
  <xsl:template match="PrayerOpen | PrayerEnd | Assignment" mode="OtherRow">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--Inserts Chairman or Special Event text with a left border-->
  <xsl:template match="Chairman | Event" mode="Left">
    <xsl:param name="NameToHighlight"/>
    <td class="cellBold borderLeft">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--Inserts Chairman or Special Event text with both left and right borders-->
  <xsl:template match="Chairman | Event" mode="LeftRight">
    <xsl:param name="NameToHighlight"/>
    <td class="cellBold borderLeftRight">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--Inserts Chairman or Special Event text with a right border-->
  <xsl:template match="Chairman | Event" mode="Right">
    <xsl:param name="NameToHighlight"/>
    <td class="cellBold borderRight">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the Treasures 1 or Special Event-->
  <xsl:template match="Name | Event" mode="FirstRow">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:if test="self::Event">
        <xsl:attribute name="rowspan">3</xsl:attribute>
      </xsl:if>
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the Student or Special Event-->
  <xsl:template match="Event | Student" mode="FirstRow">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:if test="self::Event">
        <xsl:attribute name="rowspan">4</xsl:attribute>
      </xsl:if>
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the Treasures 2, Bible Reader or Student-->
  <xsl:template match="Name | Reader | Student" mode="OtherRow">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used whenever the student item is a conversation video
  Technically we only support the main hall, so the counsellor label should never be used-->
  <xsl:template match="Students[@ChairmanHandleSampleVideo and @Class='1']">
    <xsl:param name="strClass"/>
    <td class="{$strClass}">
      <xsl:choose>
        <xsl:when test="@ChairmanHandleSampleVideo=0">
          <xsl:value-of select="//Labels/Counsellor"/>
        </xsl:when>
        <xsl:otherwise>
          <!--Trims the " :" from the end of the chairman label-->
          <xsl:value-of select="normalize-space(translate(//Labels/Chairman,':',''))"/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the LAC Item Theme or Special Event-->
  <xsl:template match="Event | Theme">
    <xsl:param name="strClass"/>
    <td class="{$strClass}">
      <xsl:if test="self::Event">
        <xsl:choose>
          <xsl:when test="count(//MeetingWorkBook/Meeting[1]/LAC/LACItem) = 2 or 
                  count(//MeetingWorkBook/Meeting[2]/LAC/LACItem) = 2 or 
                  count(//MeetingWorkBook/Meeting[3]/LAC/LACItem) = 2 or 
                  count(//MeetingWorkBook/Meeting[4]/LAC/LACItem) = 2 or 
                  count(//MeetingWorkBook/Meeting[5]/LAC/LACItem) = 2">
            <xsl:attribute name="rowspan">4</xsl:attribute>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="rowspan">2</xsl:attribute>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:attribute name="class">
          cellBold <xsl:value-of select="$strClass"/>
        </xsl:attribute>
      </xsl:if>
      <xsl:value-of select="."/>
    </td>
  </xsl:template>

  <!--This is used to insert the Public Talk Speaker and Theme, Chairman or Special Event-->
  <xsl:template match="Chairman | Event | Speaker | Theme" mode="Weekend">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td>
      <xsl:choose>
        <xsl:when test="self::Event">
          <xsl:attribute name="rowspan">3</xsl:attribute>
          <xsl:attribute name="class">
            cellBold <xsl:value-of select="$strClass"/>
          </xsl:attribute>
        </xsl:when>
        <xsl:when test="self::Theme">
          <xsl:choose>
            <xsl:when test="../../../LAC/@CircuitVisit='1'">
              <xsl:attribute name="class">
                cellCircuitVisit <xsl:value-of select="$strClass"/>
              </xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
              <xsl:attribute name="class">
                <xsl:value-of select="$strClass"/>
              </xsl:attribute>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:when test="self::Speaker">
          <xsl:choose>
            <xsl:when test="../../../LAC/@CircuitVisit='1'">
              <xsl:attribute name="class">
                cellCircuitVisit cellBold <xsl:value-of select="$strClass"/>
              </xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
              <xsl:attribute name="class">
                cellBold <xsl:value-of select="$strClass"/>
              </xsl:attribute>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="class">
            cellBold <xsl:value-of select="$strClass"/>
          </xsl:attribute>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
        <xsl:when test="self::Speaker">
          <!--We must take into account the congregation when it is the speaker-->
          <xsl:choose>
            <xsl:when test="../Congregation=//Labels/Congregation and .=$NameToHighlight">
              <span class="textHighlight">
                <xsl:value-of select="."/>
              </span>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="."/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <xsl:template match="Conductor | Event | Reader | ServiceTalk | Theme" mode="WatchtowerStudy">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <xsl:choose>
        <xsl:when test="self::Event">
          <xsl:attribute name="rowspan">3</xsl:attribute>
          <xsl:value-of select="."/>
        </xsl:when>
        <xsl:when test="self::ServiceTalk">
          <xsl:text>Service Talk:</xsl:text>
          <br/>
          <span style="font-weight: normal;">
            <xsl:value-of select="./Theme" />
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test=".=$NameToHighlight">
              <span class="textHighlight">
                <xsl:value-of select="."/>
              </span>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="."/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>

  <!--This is used to insert the LAC Item Time and Name-->
  <xsl:template match="LACItem">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="{$strClass}">
      <br style="line-height:1mm"/>
      <table width="100%" style="padding: 0; margin: 0; border-style: none;">
        <colgroup>
          <col width=" 25mm;" style="background-color:#eaeaea;"/>
        </colgroup>
        <td style="border: 0px #d3d3d3 solid;">
          <xsl:value-of select="Time"/>
        </td>
        <td style="border-style: none;" class="cellBold">
          <xsl:choose>
            <xsl:when test="Name=$NameToHighlight">
              <span class="textHighlight">
                <xsl:value-of select="Name"/>
              </span>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="Name"/>
            </xsl:otherwise>
          </xsl:choose>
        </td>
      </table>
    </td>
  </xsl:template>

  <!--This is used to insert the CBS Conductor, CBS Reader, Special Event (for CBS rows) or Circuit Visit Talk (for CBS rows)-->
  <xsl:template match="Conductor | Event | Reader | CircuitVisit" mode ="CBS">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <td class="cellBold {$strClass}">
      <xsl:choose>
        <xsl:when test="self::Event">
          <xsl:attribute name="rowspan">4</xsl:attribute>
          <xsl:value-of select="."/>
        </xsl:when>
        <xsl:when test="self::CircuitVisit">
          <xsl:attribute name="rowspan">2</xsl:attribute>
          <xsl:text>Service Talk:</xsl:text>
          <br/>
          <span style="font-weight: normal;">
            <xsl:value-of select="LACItem/Theme"/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test=".=$NameToHighlight">
              <span class="textHighlight">
                <xsl:value-of select="."/>
              </span>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="."/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </td>
  </xsl:template>
  
  <xsl:template match="msa:Assignment">
    <xsl:param name="strClass"/>
    <xsl:param name="NameToHighlight"/>
    <xsl:param name="strExtraText"/>
    <td class="{$strClass}">
      <xsl:choose>
        <xsl:when test=".=$NameToHighlight">
          <span class="textHighlight">
            <xsl:value-of select="."/>
          </span>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="."/>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:if test="$strExtraText != ''">
        <span style="font-weight: normal; font-size: 8pt;">
          <br/>
          <xsl:value-of select="$strExtraText"/>
        </span>
      </xsl:if>
    </td>
  </xsl:template>
  
  <!--This is used to insert the Special Event in Assignments-->
  <xsl:template match="Event" mode="Assignment">
    <xsl:param name="strClass"/>
    <td class="{$strClass}">
      <xsl:if test="self::Event">
        <xsl:attribute name="rowspan">6</xsl:attribute>
        <xsl:attribute name="class">
          cellBold <xsl:value-of select="$strClass"/>
        </xsl:attribute>
      </xsl:if>
      <xsl:value-of select="."/>
    </td>
  </xsl:template>
</xsl:stylesheet>